## Class TListItemType

Description

TListItemType class.

TListItemType defines the enumerable type for the possible types that databound list items could take.

The following enumerable values are defined:

- Header: header item
- Footer: footer item
- Item: content item (neither header nor footer)
- Separator: separator between items
- AlternatingItem: alternating content item
- EditItem: content item in edit mode
- SelectedItem: selected content item
- Pager: pager

- since: 3.0.4
- version: $Id: TDataBoundControl.php 1849 2007-04-09 02:44:50Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TDataBoundControl.php (line 530)

    TEnumerable
       |
       --TListItemType

Class Constant Summary
AlternatingItem = 'AlternatingItem'
EditItem = 'EditItem'
Footer = 'Footer'
Header = 'Header'
Item = 'Item'
Pager = 'Pager'
SelectedItem = 'SelectedItem'
Separator = 'Separator'
Class Constants
AlternatingItem = 'AlternatingItem' (line 536)
EditItem = 'EditItem' (line 537)
Footer = 'Footer' (line 533)
Header = 'Header' (line 532)
Item = 'Item' (line 534)
Pager = 'Pager' (line 539)
SelectedItem = 'SelectedItem' (line 538)
Separator = 'Separator' (line 535)

Documentation generated on Mon, 21 Apr 2008 11:34:21 -0400 by phpDocumentor 1.3.0RC4